## svxlink 19.09.2

=== src/locationinfo/CMakeLists.txt ===
# The name of the library
set(LIBNAME locationinfo)

# Which include files to export to the global include directory
set(EXPINC LocationInfo.h AprsClient.h AprsTcpClient.h AprsUdpClient.h AprsPty.h)

# What sources to compile for the library
set(LIBSRC LocationInfo.cpp AprsTcpClient.cpp AprsUdpClient.cpp)

# Which other libraries this library depends on
set(LIBS ${LIBS} asynccore)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(SVXLINK VERSION_DEPENDS)

# Build only a static library
add_library(${LIBNAME} STATIC ${LIBSRC} ${VERSION_DEPENDS})
target_link_libraries(${LIBNAME} ${LIBS})

# Install targets
#install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})

=== src/async/demo/CMakeLists.txt ===
set(CPPPROGS AsyncAudioIO_demo AsyncDnsLookup_demo AsyncFdWatch_demo
             AsyncTimer_demo AsyncTcpClient_demo AsyncUdpSocket_demo
             AsyncCppApplication_demo AsyncTcpServer_demo AsyncConfig_demo
             AsyncSerial_demo AsyncAtTimer_demo AsyncExec_demo
             AsyncPtyStreamBuf_demo AsyncMsg_demo AsyncFramedTcpServer_demo
             AsyncFramedTcpClient_demo AsyncAudioSelector_demo
             AsyncAudioFsf_demo)


foreach(prog ${CPPPROGS})
  add_executable(${prog} ${prog}.cpp)
  target_link_libraries(${prog} ${LIBS} asynccpp asyncaudio asynccore)
endforeach(prog)

if(USE_QT)
  # Find Qt5
  find_package(Qt5Core QUIET)
  if (Qt5Core_FOUND)
    find_package(Qt5Gui REQUIRED)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Network REQUIRED)
    include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
                        ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS})
    set(LIBS ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES}
             ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES})
    QT5_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  endif()

  # If not Qt5 was found, try Qt4
  if (NOT Qt5Core_FOUND)
    find_package(Qt4 4.2 REQUIRED QtCore QtGui QtNetwork)
    include(${QT_USE_FILE})
    set(LIBS ${LIBS} ${QT_LIBRARIES})
    QT4_WRAP_CPP(QTHEADERS_MOC ${QTHEADERS})
  endif()

  add_executable(AsyncQtApplication_demo AsyncQtApplication_demo.cpp)
  target_link_libraries(AsyncQtApplication_demo ${LIBS} asyncaudio
                        asynccore asyncqt)
endif(USE_QT)

=== src/avr/siglev/Makefile ===
# Tell both the compiler and the programmer application (avrdude)
# what MCU we are using
MCU=atmega8
PART=m8

# Tell the programmer application (avrdude) what hardware we use
PROG_HW=avrusb500

# Name of application
NAME:=siglev

# Source files to compile
SRCS:=siglev.c

# Use the AVR gcc compiler and tools
CC=avr-gcc
OBJCOPY=avr-objcopy

# What CFLAGS to use
CFLAGS=-g -mmcu=$(MCU) -Wall -Wstrict-prototypes -O2 -mcall-prologues

# Setup the object and dependency file lists
OBJS:=$(SRCS:.c=.o)
DEP_FILES:=$(SRCS:.c=.d)


# Generic targets. You should not need to touch these
all: $(NAME).hex

$(NAME).hex:	$(NAME).out
	$(OBJCOPY) -R .eeprom -O ihex $< $@

$(NAME).out:	$(OBJS)
	$(CC) $(CFLAGS) -o $@ -Wl,-Map,$(NAME).map $(OBJS)
	
%.o:	%.c
	$(CC) $(CFLAGS) -c $<

%.d:	%.c
	$(CC) -M -MG -MT "$*.o $@" $(CFLAGS) -MF $@ $< > /dev/null


# Load program into flash
.PHONY: load
load:
	avrdude -p $(PART) -c $(PROG_HW) -e -y -U flash:w:$(NAME).hex


# Setup external crystal
.PHONY: fuse
fuse:
	avrdude -p $(PART) -c $(PROG_HW) -U hfuse:w:0xc9:m
	avrdude -p $(PART) -c $(PROG_HW) -U lfuse:w:0xef:m


# Clean up source directory
.PHONY: clean
clean:
	rm -f $(OBJS) $(DEP_FILES) $(NAME).map $(NAME).out $(NAME).hex *~ sin_data.h


# Include dependency files
-include $(DEP_FILES)


# Extra user defined targets below
sin_data.h: sin_gen.rb
	ruby sin_gen.rb > $@

=== src/svxlink/reflector/CMakeLists.txt ===
# Find the popt library
find_package(Popt REQUIRED)
set(LIBS ${LIBS} ${POPT_LIBRARIES})
include_directories(${POPT_INCLUDE_DIRS})
add_definitions(${POPT_DEFINITIONS})

# Find the GCrypt library
find_package(GCrypt REQUIRED)
set(LIBS ${LIBS} ${GCRYPT_LIBRARIES})
include_directories(${GCRYPT_INCLUDE_DIRS})
add_definitions(${GCRYPT_DEFINITIONS})

# Add project libraries
set(LIBS ${LIBS} asynccpp asyncaudio asynccore svxmisc)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(SVXREFLECTOR VERSION_DEPENDS)

# Build the executable
add_executable(svxreflector
  svxreflector.cpp Reflector.cpp ReflectorClient.cpp
  ${VERSION_DEPENDS}
)
target_link_libraries(svxreflector ${LIBS})
set_target_properties(svxreflector PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
)

# Install targets
install(TARGETS svxreflector DESTINATION ${BIN_INSTALL_DIR})
install_if_not_exists(svxreflector.conf ${SVX_SYSCONF_INSTALL_DIR})

=== src/svxlink/siglevdetcal/CMakeLists.txt ===
# Find the GCrypt library
find_package(GCrypt REQUIRED)
set(LIBS ${LIBS} ${GCRYPT_LIBRARIES})
include_directories(${GCRYPT_INCLUDE_DIRS})
add_definitions(${GCRYPT_DEFINITIONS})

# Add project libraries
set(LIBS ${LIBS} trx asynccpp asyncaudio asynccore svxmisc)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(SIGLEV_DET_CAL VERSION_DEPENDS)

# Build the executable
add_executable(siglevdetcal siglevdetcal.cpp
  ${VERSION_DEPENDS}
)
target_link_libraries(siglevdetcal ${LIBS})
set_target_properties(siglevdetcal PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
)

# Install targets
install(TARGETS siglevdetcal DESTINATION ${BIN_INSTALL_DIR})

=== src/svxlink/modules/help/CMakeLists.txt ===
# The name of the module without the Module prefix
set(MODNAME Help)

# Module source code
#set(MODSRC xyz.cpp)

# Project libraries to link to
#set(LIBS ${LIBS} echolib)

# The version tag name without the VER_ prefix
set(VERNAME ${MODNAME})
string(REGEX REPLACE \(.\)\([A-Z]\) \\1_\\2 VERNAME ${VERNAME})
string(TOUPPER MODULE_${VERNAME} VERNAME)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(${VERNAME} VERSION_DEPENDS)
add_version_target(SVXLINK VERSION_DEPENDS)

# Build the plugin
add_library(Module${MODNAME} MODULE Module${MODNAME}.cpp ${MODSRC}
  ${VERSION_DEPENDS}
)
set_target_properties(Module${MODNAME} PROPERTIES PREFIX "")
set_property(TARGET Module${MODNAME} PROPERTY NO_SONAME 1)
target_link_libraries(Module${MODNAME} ${LIBS})

# Install targets
install(TARGETS Module${MODNAME} DESTINATION ${SVX_MODULE_INSTALL_DIR})
install(FILES ${MODNAME}.tcl DESTINATION ${SVX_SHARE_INSTALL_DIR}/events.d)
install_if_not_exists(Module${MODNAME}.conf
  ${SVX_SYSCONF_INSTALL_DIR}/svxlink.d
  )

=== src/svxlink/modules/metarinfo/CMakeLists.txt ===
# The name of the module without the Module prefix
set(MODNAME MetarInfo)

# Module source code
#set(MODSRC xyz.cpp)

# Project libraries to link to
set(LIBS ${LIBS} ${CURL_LIBRARY})

# The version tag name without the VER_ prefix
set(VERNAME ${MODNAME})
#string(REGEX REPLACE \(.\)\([A-Z]\) \\1_\\2 VERNAME ${VERNAME})
string(TOUPPER MODULE_${VERNAME} VERNAME)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(${VERNAME} VERSION_DEPENDS)
add_version_target(SVXLINK VERSION_DEPENDS)

# Build the plugin
add_library(Module${MODNAME} MODULE Module${MODNAME}.cpp ${MODSRC}
  ${VERSION_DEPENDS}
)
set_target_properties(Module${MODNAME} PROPERTIES PREFIX "")
set_property(TARGET Module${MODNAME} PROPERTY NO_SONAME 1)
target_link_libraries(Module${MODNAME} ${LIBS})

# Install targets
install(TARGETS Module${MODNAME} DESTINATION ${SVX_MODULE_INSTALL_DIR})
install(FILES ${MODNAME}.tcl DESTINATION ${SVX_SHARE_INSTALL_DIR}/events.d)
install_if_not_exists(Module${MODNAME}.conf
  ${SVX_SYSCONF_INSTALL_DIR}/svxlink.d
  )

=== src/svxlink/modules/propagation_monitor/CMakeLists.txt ===
# The name of the module without the Module prefix
set(MODNAME PropagationMonitor)

# Generate configuration files with correct paths
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ModulePropagationMonitor.conf.in
  ${CMAKE_CURRENT_BINARY_DIR}/ModulePropagationMonitor.conf
  @ONLY
  )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/procmailrc.in
  ${CMAKE_CURRENT_BINARY_DIR}/.procmailrc
  @ONLY
  )

# Install targets
install_mkdir(${SVX_SPOOL_INSTALL_DIR}/propagation_monitor ${SVXLINK_USER}:${SVXLINK_GROUP})
install(FILES Module${MODNAME}.tcl DESTINATION ${SVX_SHARE_INSTALL_DIR}/modules.d)
install(FILES ${MODNAME}.tcl DESTINATION ${SVX_SHARE_INSTALL_DIR}/events.d)
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/Module${MODNAME}.conf
  ${SVX_SYSCONF_INSTALL_DIR}/svxlink.d
  )
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/.procmailrc
  ${SVX_SYSCONF_INSTALL_DIR}
  )

=== src/svxlink/modules/tcl/CMakeLists.txt ===
# The name of the module without the Module prefix
set(MODNAME Tcl)

# Module source code
#set(MODSRC xyz.cpp)

# Project libraries to link to
#set(LIBS ${LIBS} echolib)

# The version tag name without the VER_ prefix
set(VERNAME ${MODNAME})
string(REGEX REPLACE \(.\)\([A-Z]\) \\1_\\2 VERNAME ${VERNAME})
string(TOUPPER MODULE_${VERNAME} VERNAME)

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(${VERNAME} VERSION_DEPENDS)
add_version_target(SVXLINK VERSION_DEPENDS)

# Build the plugin
add_library(Module${MODNAME} MODULE Module${MODNAME}.cpp ${MODSRC}
  ${VERSION_DEPENDS}
)
set_target_properties(Module${MODNAME} PROPERTIES PREFIX "")
set_property(TARGET Module${MODNAME} PROPERTY NO_SONAME 1)
target_link_libraries(Module${MODNAME} ${LIBS})

# Install targets
install(TARGETS Module${MODNAME} DESTINATION ${SVX_MODULE_INSTALL_DIR})
install(FILES ${MODNAME}.tcl.example DESTINATION ${SVX_SHARE_INSTALL_DIR}/events.d)
install(FILES Module${MODNAME}.tcl.example DESTINATION ${SVX_SHARE_INSTALL_DIR}/modules.d)

=== debian/changelog ===
svxlink (19.09.2-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:57:11 +1100

svxlink (19.09.2-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:27:03 +0000

svxlink (19.09.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:15:10 +0000

svxlink (19.09.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062934

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:50:24 +0000

svxlink (19.09.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 19.09.2.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Nov 2022 16:33:37 +0100

svxlink (19.09.1-3) unstable; urgency=medium

  * Transfer maintenance to Hamradio team; add self to Uploaders.
  * Add team repo to Vcs-Git and Vcs-Browser.
  * Ship svxreflector default and systemd service files from upstream.
  * Remove obsolete syslog target from svxreflector service file.
  * Ship additional development files that appeared recently but were
    apparently no missed in Debian.
  * Enable hardening; environment was not available inside $shell command.
  * Add README.Debian with a notes on sound files available separately.
  * Bump debhelper version to 13.
  * Declare files not shipped; build fails under debhelper 13 otherwise.
  * Remove unused *.install file; remnant from old packaging.
  * Enable standard CI pipeline on Salsa.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 25 Sep 2020 11:28:23 -0700

=== debian/control ===
Source: svxlink
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Build-Depends-Indep: librsvg2-bin
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 cmake,
 libcurl4-gnutls-dev,
 libsigc++-2.0-dev (>= 2.2.10-0.2),
 libpopt-dev,
 libgcrypt-dev,
 libgsm1-dev,
 libspeex-dev,
 libopus-dev,
 libasound2-dev,
 librtlsdr-dev,
 qtbase5-dev,
 qttools5-dev,
 tk-dev,
 doxygen
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/svxlink.git -b debian/master
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/svxlink
Homepage: http://www.svxlink.org

Package: svxlink-server
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6)
Recommends:
 remotetrx (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Voice-over-IP server for ham radio operators
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. It can act as a repeater controller
 or operate on a simplex channel. Based on a modular design, the server
 can be configured to provide voice mail and echo (talkback) service.
 It is normally used together with the 'remotetrx' package, which allows
 the remote control of a radio transceiver.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: svxreflector
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6)
Description: Conference server for SvxLink amateur radio servers
 The SvxReflector can interconnect multiple SvxLink nodes. Audio sent to
 the reflector is broadcast to all other nodes. Only one talker is
 allowed at a time.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: remotetrx
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6)
Recommends:
 svxlink-server (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Remote controller for radio transceivers
 The RemoteTrx server facilitates remote control of amateur radio
 transceivers via the EchoLink® protocol. It is normally
 used together with the 'svxlink-server' package, which allows
 for nearly world-wide access from the Internet.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-gpio
Architecture: all
Depends: ${misc:Depends}
Description: GPIO control scripts SvxLink amateur radio server
 This package contains the GPIO control scripts for general purpose I/O
 for the SvxLink suite. SvxLink provides access to a ham radio
 transceiver via the EchoLink® protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 By connecting into a server connected to a repeater, an operator
 can call into a local radio net via the Internet while traveling
 out of the area. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-calibration-tools
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: svxlink-server (<< 17.12.1-1)
Replaces: svxlink-server (<< 17.12.1-1)
Description: Calibration tools for SvxLink amateur radio suite
 SvxLink facilitates remote control of amateur radio transceivers via the
 EchoLink® protocol. This package included the calibration tools.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: qtel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtel-icons
Description: Graphical client for the EchoLink® protocol
 Qtel is a graphical client program for the EchoLink® ham radio
 protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: qtel-icons
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Icons for graphical client for the EchoLink® protocol
 Icons for Qtel, a graphical client program for the EchoLink®
 ham radio protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp1.6t64
Provides: ${t64:Provides}
Replaces: libasynccpp1.6
Breaks: libasynccpp1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCpp library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCpp
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccpp1.6t64 (= ${binary:Version})
Description: AsyncCpp library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCpp library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio1.6t64
Provides: ${t64:Provides}
Replaces: libasyncaudio1.6
Breaks: libasyncaudio1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncAudio library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncAudio
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncaudio1.6t64 (= ${binary:Version})
Description: AsyncAudio library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncAudio library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt1.6t64
Provides: ${t64:Provides}
Replaces: libasyncqt1.6
Breaks: libasyncqt1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncQt library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the AsyncQt
 library for event-driven Qt applications using the Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncqt1.6t64 (= ${binary:Version})
Description: AsyncQt library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncQt library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore1.6t64
Provides: ${t64:Provides}
Replaces: libasynccore1.6
Breaks: libasynccore1.6 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCore library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCore
 library for event-driven applications that use Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccore1.6t64 (= ${binary:Version})
Description: AsyncCore library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCore library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib1.3t64
Provides: ${t64:Provides}
Replaces: libecholib1.3
Breaks: libecholib1.3 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EchoLib library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains EchoLib, a
 library for EchoLink communications.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libecholib1.3t64 (= ${binary:Version})
Description: EchoLib library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the static
 version and the header files for the EchoLib library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)

# gets rid of warnings like: package could avoid a useless dependency
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ \
		--buildsystem=cmake \
		--sourcedirectory=src \
		--builddirectory=build \

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DWITH_SYSTEMD=ON \
		-DBUILD_STATIC_LIBS=ON \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DLOCAL_STATE_DIR=/var

.PHONY: override_dh_auto_build-indep
override_dh_auto_build-indep:
	mkdir -p $(CURDIR)/debian/icons/generated/64x64/
	rsvg-convert --width 64 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/64x64/qtel.png
	mkdir -p $(CURDIR)/debian/icons/generated/128x128/
	rsvg-convert --width 128 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/128x128/qtel.png
	mkdir -p $(CURDIR)/debian/icons/generated/256x256/
	rsvg-convert --width 256 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/256x256/qtel.png
	dh_auto_build --indep

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	find $(CURDIR) -name 'moc_*' -execdir rm -fv '{}' \;
	find $(CURDIR) -name 'qrc_*' -execdir rm -fv '{}' \;
	-rm $(CURDIR)/debian/icons/generated/64x64/qtel.png
	-rm $(CURDIR)/debian/icons/generated/128x128/qtel.png
	-rm $(CURDIR)/debian/icons/generated/256x256/qtel.png
	dh_auto_clean

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip -psvxlink-server
	dh_strip -premotetrx
	dh_strip -pqtel
	dh_strip -plibecholib1.3t64
	dh_strip -plibasynccore1.6t64
	dh_strip -plibasynccpp1.6t64
	dh_strip -plibasyncaudio1.6t64
	dh_strip -plibasyncqt1.6t64
	dh_strip

.PHONY: override_dh_installinit
override_dh_installinit:
	dh_installinit -psvxlink-server --name=svxlink
	dh_installinit

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	# svxlink
	dh_installchangelogs -psvxlink-server src/svxlink/ChangeLog
	dh_installchangelogs -psvxreflector src/svxlink/ChangeLog
	dh_installchangelogs -premotetrx src/svxlink/ChangeLog
	dh_installchangelogs -psvxlink-gpio src/svxlink/ChangeLog
	dh_installchangelogs -psvxlink-calibration-tools src/svxlink/ChangeLog
	# qtel
	dh_installchangelogs -pqtel src/qtel/ChangeLog
	dh_installchangelogs -pqtel-icons src/qtel/ChangeLog
	# echolib
	dh_installchangelogs -plibecholib1.3t64 src/echolib/ChangeLog
	dh_installchangelogs -plibecholib-dev src/echolib/ChangeLog
	# async
	dh_installchangelogs -plibasynccore1.6t64 src/async/ChangeLog
	dh_installchangelogs -plibasynccore-dev src/async/ChangeLog
	dh_installchangelogs -plibasyncaudio1.6t64 src/async/ChangeLog
	dh_installchangelogs -plibasyncaudio-dev src/async/ChangeLog
	dh_installchangelogs -plibasynccpp1.6t64 src/async/ChangeLog
	dh_installchangelogs -plibasynccpp-dev src/async/ChangeLog
	dh_installchangelogs -plibasyncqt1.6t64 src/async/ChangeLog
	dh_installchangelogs -plibasyncqt-dev src/async/ChangeLog

#.PHONY: override_dh_fixperms
#override_dh_fixperms:
#	dh_fixperms
#	chmod a-x debian/svxlink-server/etc/default/svxlink
#	chmod a-x debian/remotetrx/etc/default/remotetrx

=== debian/watch ===
version=3

# Svxlink on GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/svxlink-$1\.tar\.gz/ \
  https://github.com/sm0svx/svxlink/tags .*/(\d+(?:\.\d+)+)\.tar\.gz
